This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 430280 - mkinitrd can't deal with the "relatime" mount option
mkinitrd can't deal with the "relatime" mount option
Status: CLOSED DUPLICATE of bug 296361
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
i686 Linux
low Severity urgent
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
: 478598 (view as bug list)
Depends On:
Blocks: F11Blocker/F11FinalBlocker
  Show dependency treegraph
 
Reported: 2008-01-25 14:25 EST by Derkjan de Haan
Modified: 2009-01-05 09:35 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-05 05:11:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Initrd file (3.70 MB, application/x-gzip-compressed)
2008-01-25 17:16 EST, Derkjan de Haan
no flags Details

  None (edit)
Description Derkjan de Haan 2008-01-25 14:25:33 EST
Description of problem:

After upgrading to the most recent kernel, I'm no longer able to boot my 
system. It has a XFS root and an ext3 /boot partition. Disk layout is installer 
default for XFS (XFS root, an ext3 /boot partition, in a VolGroup00).

Version-Release number of selected component (if applicable):

This happens after upgrading to kernel 2.6.23.14-107. The previous version ( -
85 IIRC) works fine.

How reproducible:

always

Steps to Reproduce:
1. upgrade kernel
2. reboot
3.
  
Actual results:

Booting hangs after (typed from screen so may not be entirely accurate):
Red Hat nash starting
   Reading all physical volumes
   Found volume group VolGroup00 using lvm2
   2 logical volumes now active
mount: error mounting /dev/root on /sysroot as xfs: Invalid argument
setuproot: moving /dev failed: 
setuproot: error mounting /proc: No such file or directory
setuproot: error mounting /sys: No such file or directory
switchroot: mount failed: No such file or directory

Expected results:

successful boot

Additional info:

Please let me know if I can assist in any way in solving this.
Comment 1 Chuck Ebbert 2008-01-25 15:10:31 EST
Please attach the initrd from kernel 2.6.23.14-107 to this bugzilla.
Comment 2 Chuck Ebbert 2008-01-25 15:16:23 EST
Did you add "relatime" to any filesystem mount options recently??
Comment 3 Derkjan de Haan 2008-01-25 17:16:24 EST
Created attachment 293012 [details]
Initrd file
Comment 4 Derkjan de Haan 2008-01-25 17:19:41 EST
I did add relatime indeed. When adding it, I was wondering if it was a 
supported mount option, but it seemed to work and I paid no further attention 
to it.
After reading your comment, I have changed it to noatime and regenerated the 
initrd, and all is well again. Thanks!
Comment 5 Chuck Ebbert 2008-01-25 18:17:03 EST
I added a note about this problem to
https://fedoraproject.org/wiki/KernelCommonProblems

But really, mkinitrd should just strip this option when it builds the initrd...
Comment 6 Jon Stanley 2008-01-25 22:22:13 EST
just changing the state to ASSIGNED in keeping with triage guidelines :)
Comment 7 Mariano Suárez-Alvarez 2008-09-17 18:12:17 EDT
How can I regenerate the initrd in a situation like this, if I all I can do is boot a rescue disk?
Comment 8 Bug Zapper 2008-11-26 04:34:04 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Patrick Mansfield 2008-11-26 11:53:38 EST
I hit this in Fedora 9 with ext3 and mkinitrd-6.0.52-2.fc9.i386

Can someone update the bug version to 9?
Comment 10 Jon Stanley 2008-11-26 12:20:51 EST
done!
Comment 11 BK 2008-12-11 08:27:06 EST
This problem persists in Fedora 10, I had set relatime on my root file system, and when I tried booting after the recent kernel update, it halted with the "mount: error mounting /dev/root on /sysroot ..." error message.

By the time I'd found this explanation, I had removed the new kernel. Installing the new kernel again after removing relatime in /etc/fstab seems to have solved the problem.

I don't understand the "Unsupported mount options like "relatime" in /etc/fstab can cause problems. Removing any references to the "relatime" option and rebuilding the initrd will fix this." explanation on the referenced KernelCommonProblems web page, however.

The "relatime" option is clearly documented in the mount(8) man page, and there's nothing there, nor the fstab man page, to suggest that setting it will cause your system to be unbootable after a kernel upgrade, nor that it is "unsupported".
Comment 12 Ronald Warsow 2008-12-15 11:09:10 EST
I noticed exactly the same as in Comment #11 with ext[34].

one addition:
I can boot with relatime option for / in fstab, but I need the defaults (only) mount option during kernel installs.
Comment 13 BK 2008-12-15 13:40:56 EST
My situation is exactly as Ronald describes it in the last paragraph of #12: No problems running with relatime, can't boot a kernel if it is installed with those options in /etc/fstab, but no problem if fstab is "cleaned" before kernel install, and then restored when install has finished.
Comment 14 David Dillow 2008-12-24 13:27:10 EST
There is a patch to add relatime support in bug 296361 that has been there since F7 days (Oct 2007). While I understand that relatime is the default now, it would be nice if mkinitrd/nash would handle this valid option correctly -- it eliminates the surprise factor when new users start exploring their options towards power savings, and make the inevitable "mistakes" -- even if this isn't so much a mistake as being redundant.
Comment 15 David Dillow 2008-12-24 14:03:13 EST
Actually, looking at 'mount' output and 'cat /proc/mounts' does not seem to indicate that relatime is actually the default for F10 -- I can confirm that it is for F9, as it shows in /proc/mounts. Inspection of the kernel SRPM for the mount system call, and for the mount program in util-linux-ng does not show it setting relatime unless explicitly listed in the option string, as far as I can tell.

So, this is a real problem for those wishing to avoid writes to their storage devices, especially on mobile platforms.
Comment 16 Patrick Mansfield 2008-12-24 15:35:17 EST
(In reply to comment #15)
> Actually, looking at 'mount' output and 'cat /proc/mounts' does not seem to
> indicate that relatime is actually the default for F10 -- I can confirm that it
> is for F9, as it shows in /proc/mounts. Inspection of the kernel SRPM for the
> mount system call, and for the mount program in util-linux-ng does not show it
> setting relatime unless explicitly listed in the option string, as far as I can
> tell.
> 
> So, this is a real problem for those wishing to avoid writes to their storage
> devices, especially on mobile platforms.

Which SRPM did you check?

Last I checked, Fedora 9 had the linux-2.6-smarter-relatime.patch, and that turns relatime on by default.

But "mount" should display relatime and it doesn't. And thanks for the tip on /proc/mounts, relatime shows up there for me too!

Also a similar bug has been closed wontfix, bug 296361.
Comment 17 David Dillow 2008-12-24 16:01:01 EST
(In reply to comment #16)
> Which SRPM did you check?
>
> Last I checked, Fedora 9 had the linux-2.6-smarter-relatime.patch, and that
> turns relatime on by default.

kernel-2.6.27.7-134.fc10, as prepped by 'rpmbuild -bp' It's possible the smarter-relatime patch got pushed upstream, but comparing the changes fs/namespace.c from that patch to the F10 kernel source shows that it seems to have been dropped.

> But "mount" should display relatime and it doesn't. And thanks for the tip on
> /proc/mounts, relatime shows up there for me too!
> 
> Also a similar bug has been closed wontfix, bug 296361.

Right -- that's the one that has the patches to add support for relatime to nash.
Comment 18 Ricardo Arguello 2008-12-28 01:20:48 EST
Looks like F10 dropped the linux-2.6-smarter-relatime.patch from the kernel.spec file (revision 1.979, Thu Sep 25 18:17:39 2008 UTC at the CVS).

Why was this patch dropped? I searched trough then upstream kernel sources and it looks like the patch was not merged there.
Comment 19 Warren Togami 2009-01-01 16:07:46 EST
*** Bug 478598 has been marked as a duplicate of this bug. ***
Comment 20 Warren Togami 2009-01-05 05:11:17 EST

*** This bug has been marked as a duplicate of bug 296361 ***

Note You need to log in before you can comment on or make changes to this bug.